Package org.eclipse.birt.chart.model.layout.impl

# Class LayoutPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.birt.chart.model.layout.impl.LayoutPackageImpl

All Implemented Interfaces:
  `LayoutPackage`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class LayoutPackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl implements LayoutPackage
An implementation of the model Package .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Nested classes/interfaces inherited from interface org.eclipse.birt.chart.model.layout.LayoutPackage

`LayoutPackage.Literals`

## Field Summary

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.birt.chart.model.layout.LayoutPackage

`BLOCK, BLOCK__ANCHOR, BLOCK__BACKGROUND, BLOCK__BOUNDS, BLOCK__CHILDREN, BLOCK__COLUMN, BLOCK__COLUMNSPAN, BLOCK__CURSOR, BLOCK__HEIGHT_HINT, BLOCK__INSETS, BLOCK__MIN_SIZE, BLOCK__OUTLINE, BLOCK__ROW, BLOCK__ROWSPAN, BLOCK__STRETCH, BLOCK__TRIGGERS, BLOCK__VISIBLE, BLOCK__WIDTH_HINT, BLOCK_FEATURE_COUNT, CLIENT_AREA, CLIENT_AREA__BACKGROUND, CLIENT_AREA__INSETS, CLIENT_AREA__OUTLINE, CLIENT_AREA__SHADOW_COLOR, CLIENT_AREA__VISIBLE, CLIENT_AREA_FEATURE_COUNT, eINSTANCE, ELLIPSIS_TYPE, ELLIPSIS_TYPE_OBJECT, eNAME, eNS_PREFIX, eNS_URI, LABEL_BLOCK, LABEL_BLOCK__ANCHOR, LABEL_BLOCK__BACKGROUND, LABEL_BLOCK__BOUNDS, LABEL_BLOCK__CHILDREN, LABEL_BLOCK__COLUMN, LABEL_BLOCK__COLUMNSPAN, LABEL_BLOCK__CURSOR, LABEL_BLOCK__HEIGHT_HINT, LABEL_BLOCK__INSETS, LABEL_BLOCK__LABEL, LABEL_BLOCK__MIN_SIZE, LABEL_BLOCK__OUTLINE, LABEL_BLOCK__ROW, LABEL_BLOCK__ROWSPAN, LABEL_BLOCK__STRETCH, LABEL_BLOCK__TRIGGERS, LABEL_BLOCK__VISIBLE, LABEL_BLOCK__WIDTH_HINT, LABEL_BLOCK_FEATURE_COUNT, LEGEND, LEGEND__ANCHOR, LEGEND__BACKGROUND, LEGEND__BOUNDS, LEGEND__CHILDREN, LEGEND__CLIENT_AREA, LEGEND__COLUMN, LEGEND__COLUMNSPAN, LEGEND__CURSOR, LEGEND__DIRECTION, LEGEND__ELLIPSIS, LEGEND__FORMAT_SPECIFIER, LEGEND__HEIGHT_HINT, LEGEND__HORIZONTAL_SPACING, LEGEND__INSETS, LEGEND__ITEM_TYPE, LEGEND__MAX_PERCENT, LEGEND__MIN_SIZE, LEGEND__ORIENTATION, LEGEND__OUTLINE, LEGEND__POSITION, LEGEND__ROW, LEGEND__ROWSPAN, LEGEND__SEPARATOR, LEGEND__SHOW_PERCENT, LEGEND__SHOW_TOTAL, LEGEND__SHOW_VALUE, LEGEND__STRETCH, LEGEND__TEXT, LEGEND__TITLE, LEGEND__TITLE_PERCENT, LEGEND__TITLE_POSITION, LEGEND__TRIGGERS, LEGEND__VERTICAL_SPACING, LEGEND__VISIBLE, LEGEND__WIDTH_HINT, LEGEND__WRAPPING_SIZE, LEGEND_FEATURE_COUNT, PLOT, PLOT__ANCHOR, PLOT__BACKGROUND, PLOT__BOUNDS, PLOT__CHILDREN, PLOT__CLIENT_AREA, PLOT__COLUMN, PLOT__COLUMNSPAN, PLOT__CURSOR, PLOT__HEIGHT_HINT, PLOT__HORIZONTAL_SPACING, PLOT__INSETS, PLOT__MIN_SIZE, PLOT__OUTLINE, PLOT__ROW, PLOT__ROWSPAN, PLOT__STRETCH, PLOT__TRIGGERS, PLOT__VERTICAL_SPACING, PLOT__VISIBLE, PLOT__WIDTH_HINT, PLOT_FEATURE_COUNT, TITLE_BLOCK, TITLE_BLOCK__ANCHOR, TITLE_BLOCK__AUTO, TITLE_BLOCK__BACKGROUND, TITLE_BLOCK__BOUNDS, TITLE_BLOCK__CHILDREN, TITLE_BLOCK__COLUMN, TITLE_BLOCK__COLUMNSPAN, TITLE_BLOCK__CURSOR, TITLE_BLOCK__HEIGHT_HINT, TITLE_BLOCK__INSETS, TITLE_BLOCK__LABEL, TITLE_BLOCK__MIN_SIZE, TITLE_BLOCK__OUTLINE, TITLE_BLOCK__ROW, TITLE_BLOCK__ROWSPAN, TITLE_BLOCK__STRETCH, TITLE_BLOCK__TRIGGERS, TITLE_BLOCK__VISIBLE, TITLE_BLOCK__WIDTH_HINT, TITLE_BLOCK_FEATURE_COUNT, TITLE_PERCENT_TYPE, TITLE_PERCENT_TYPE_OBJECT`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getBlock()`
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Anchor()`
`org.eclipse.emf.ecore.EReference`
`getBlock_Background()`
`org.eclipse.emf.ecore.EReference`
`getBlock_Bounds()`
`org.eclipse.emf.ecore.EReference`
`getBlock_Children()`
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Column()`
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Columnspan()`
`org.eclipse.emf.ecore.EReference`
`getBlock_Cursor()`
`org.eclipse.emf.ecore.EAttribute`
`getBlock_HeightHint()`
`org.eclipse.emf.ecore.EReference`
`getBlock_Insets()`
`org.eclipse.emf.ecore.EReference`
`getBlock_MinSize()`
`org.eclipse.emf.ecore.EReference`
`getBlock_Outline()`
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Row()`
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Rowspan()`
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Stretch()`
`org.eclipse.emf.ecore.EReference`
`getBlock_Triggers()`
`org.eclipse.emf.ecore.EAttribute`
`getBlock_Visible()`
`org.eclipse.emf.ecore.EAttribute`
`getBlock_WidthHint()`
`org.eclipse.emf.ecore.EClass`
`getClientArea()`
`org.eclipse.emf.ecore.EReference`
`getClientArea_Background()`
`org.eclipse.emf.ecore.EReference`
`getClientArea_Insets()`
`org.eclipse.emf.ecore.EReference`
`getClientArea_Outline()`
`org.eclipse.emf.ecore.EReference`
`getClientArea_ShadowColor()`
`org.eclipse.emf.ecore.EAttribute`
`getClientArea_Visible()`
`org.eclipse.emf.ecore.EDataType`
`getEllipsisType()`
`org.eclipse.emf.ecore.EDataType`
`getEllipsisTypeObject()`
`org.eclipse.emf.ecore.EClass`
`getLabelBlock()`
`org.eclipse.emf.ecore.EReference`
`getLabelBlock_Label()`
`LayoutFactory`
`getLayoutFactory()`
`org.eclipse.emf.ecore.EClass`
`getLegend()`
`org.eclipse.emf.ecore.EReference`
`getLegend_ClientArea()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_Direction()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_Ellipsis()`
`org.eclipse.emf.ecore.EReference`
`getLegend_FormatSpecifier()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_HorizontalSpacing()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_ItemType()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_MaxPercent()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_Orientation()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_Position()`
`org.eclipse.emf.ecore.EReference`
`getLegend_Separator()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_ShowPercent()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_ShowTotal()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_ShowValue()`
`org.eclipse.emf.ecore.EReference`
`getLegend_Text()`
`org.eclipse.emf.ecore.EReference`
`getLegend_Title()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_TitlePercent()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_TitlePosition()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_VerticalSpacing()`
`org.eclipse.emf.ecore.EAttribute`
`getLegend_WrappingSize()`
`org.eclipse.emf.ecore.EClass`
`getPlot()`
`org.eclipse.emf.ecore.EReference`
`getPlot_ClientArea()`
`org.eclipse.emf.ecore.EAttribute`
`getPlot_HorizontalSpacing()`
`org.eclipse.emf.ecore.EAttribute`
`getPlot_VerticalSpacing()`
`org.eclipse.emf.ecore.EClass`
`getTitleBlock()`
`org.eclipse.emf.ecore.EAttribute`
`getTitleBlock_Auto()`
`org.eclipse.emf.ecore.EDataType`
`getTitlePercentType()`
`org.eclipse.emf.ecore.EDataType`
`getTitlePercentTypeObject()`
`static LayoutPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static LayoutPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `LayoutPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `LayoutPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getBlock

public org.eclipse.emf.ecore.EClass getBlock()

Specified by:
  `getBlock` in interface `LayoutPackage`
Returns:
  the meta object for class 'Block'.
See Also:
  - `Block`

### getBlock_Children

public org.eclipse.emf.ecore.EReference getBlock_Children()

Specified by:
  `getBlock_Children` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference list 'Children'.
See Also:
  - `Block.getChildren()`
  - `LayoutPackage.getBlock()`

### getBlock_Bounds

public org.eclipse.emf.ecore.EReference getBlock_Bounds()

Specified by:
  `getBlock_Bounds` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Bounds'.
See Also:
  - `Block.getBounds()`
  - `LayoutPackage.getBlock()`

### getBlock_Anchor

public org.eclipse.emf.ecore.EAttribute getBlock_Anchor()

Specified by:
  `getBlock_Anchor` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Anchor'.
See Also:
  - `Block.getAnchor()`
  - `LayoutPackage.getBlock()`

### getBlock_Stretch

public org.eclipse.emf.ecore.EAttribute getBlock_Stretch()

Specified by:
  `getBlock_Stretch` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Stretch'.
See Also:
  - `Block.getStretch()`
  - `LayoutPackage.getBlock()`

### getBlock_Insets

public org.eclipse.emf.ecore.EReference getBlock_Insets()

Specified by:
  `getBlock_Insets` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Insets'.
See Also:
  - `Block.getInsets()`
  - `LayoutPackage.getBlock()`

### getBlock_Row

public org.eclipse.emf.ecore.EAttribute getBlock_Row()

Specified by:
  `getBlock_Row` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Row'.
See Also:
  - `Block.getRow()`
  - `LayoutPackage.getBlock()`

### getBlock_Column

public org.eclipse.emf.ecore.EAttribute getBlock_Column()

Specified by:
  `getBlock_Column` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Column'.
See Also:
  - `Block.getColumn()`
  - `LayoutPackage.getBlock()`

### getBlock_Rowspan

public org.eclipse.emf.ecore.EAttribute getBlock_Rowspan()

Specified by:
  `getBlock_Rowspan` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Rowspan'.
See Also:
  - `Block.getRowspan()`
  - `LayoutPackage.getBlock()`

### getBlock_Columnspan

public org.eclipse.emf.ecore.EAttribute getBlock_Columnspan()

Specified by:
  `getBlock_Columnspan` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Columnspan'.
See Also:
  - `Block.getColumnspan()`
  - `LayoutPackage.getBlock()`

### getBlock_MinSize

public org.eclipse.emf.ecore.EReference getBlock_MinSize()

Specified by:
  `getBlock_MinSize` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Min Size'.
See Also:
  - `Block.getMinSize()`
  - `LayoutPackage.getBlock()`

### getBlock_Outline

public org.eclipse.emf.ecore.EReference getBlock_Outline()

Specified by:
  `getBlock_Outline` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `Block.getOutline()`
  - `LayoutPackage.getBlock()`

### getBlock_Background

public org.eclipse.emf.ecore.EReference getBlock_Background()

Specified by:
  `getBlock_Background` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Background'.
See Also:
  - `Block.getBackground()`
  - `LayoutPackage.getBlock()`

### getBlock_Visible

public org.eclipse.emf.ecore.EAttribute getBlock_Visible()

Specified by:
  `getBlock_Visible` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `Block.isVisible()`
  - `LayoutPackage.getBlock()`

### getBlock_Triggers

public org.eclipse.emf.ecore.EReference getBlock_Triggers()

Specified by:
  `getBlock_Triggers` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference list 'Triggers'.
See Also:
  - `Block.getTriggers()`
  - `LayoutPackage.getBlock()`

### getBlock_WidthHint

public org.eclipse.emf.ecore.EAttribute getBlock_WidthHint()

Specified by:
  `getBlock_WidthHint` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Width Hint'.
See Also:
  - `Block.getWidthHint()`
  - `LayoutPackage.getBlock()`

### getBlock_HeightHint

public org.eclipse.emf.ecore.EAttribute getBlock_HeightHint()

Specified by:
  `getBlock_HeightHint` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Height Hint'.
See Also:
  - `Block.getHeightHint()`
  - `LayoutPackage.getBlock()`

### getBlock_Cursor

public org.eclipse.emf.ecore.EReference getBlock_Cursor()

Specified by:
  `getBlock_Cursor` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Cursor'.
See Also:
  - `Block.getCursor()`
  - `LayoutPackage.getBlock()`

### getClientArea

public org.eclipse.emf.ecore.EClass getClientArea()

Specified by:
  `getClientArea` in interface `LayoutPackage`
Returns:
  the meta object for class 'Client Area'.
See Also:
  - `ClientArea`

### getClientArea_Background

public org.eclipse.emf.ecore.EReference getClientArea_Background()

Specified by:
  `getClientArea_Background` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Background'.
See Also:
  - `ClientArea.getBackground()`
  - `LayoutPackage.getClientArea()`

### getClientArea_Outline

public org.eclipse.emf.ecore.EReference getClientArea_Outline()

Specified by:
  `getClientArea_Outline` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `ClientArea.getOutline()`
  - `LayoutPackage.getClientArea()`

### getClientArea_ShadowColor

public org.eclipse.emf.ecore.EReference getClientArea_ShadowColor()

Specified by:
  `getClientArea_ShadowColor` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Shadow Color'.
See Also:
  - `ClientArea.getShadowColor()`
  - `LayoutPackage.getClientArea()`

### getClientArea_Insets

public org.eclipse.emf.ecore.EReference getClientArea_Insets()

Specified by:
  `getClientArea_Insets` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Insets'.
See Also:
  - `ClientArea.getInsets()`
  - `LayoutPackage.getClientArea()`

### getClientArea_Visible

public org.eclipse.emf.ecore.EAttribute getClientArea_Visible()

Specified by:
  `getClientArea_Visible` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Visible'.
See Also:
  - `ClientArea.isVisible()`
  - `LayoutPackage.getClientArea()`

### getLabelBlock

public org.eclipse.emf.ecore.EClass getLabelBlock()

Specified by:
  `getLabelBlock` in interface `LayoutPackage`
Returns:
  the meta object for class 'Label Block'.
See Also:
  - `LabelBlock`

### getLabelBlock_Label

public org.eclipse.emf.ecore.EReference getLabelBlock_Label()

Specified by:
  `getLabelBlock_Label` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Label'.
See Also:
  - `LabelBlock.getLabel()`
  - `LayoutPackage.getLabelBlock()`

### getLegend

public org.eclipse.emf.ecore.EClass getLegend()

Specified by:
  `getLegend` in interface `LayoutPackage`
Returns:
  the meta object for class 'Legend'.
See Also:
  - `Legend`

### getLegend_HorizontalSpacing

public org.eclipse.emf.ecore.EAttribute getLegend_HorizontalSpacing()

Specified by:
  `getLegend_HorizontalSpacing` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Horizontal Spacing'.
See Also:
  - `Legend.getHorizontalSpacing()`
  - `LayoutPackage.getLegend()`

### getLegend_VerticalSpacing

public org.eclipse.emf.ecore.EAttribute getLegend_VerticalSpacing()

Specified by:
  `getLegend_VerticalSpacing` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Vertical Spacing'.
See Also:
  - `Legend.getVerticalSpacing()`
  - `LayoutPackage.getLegend()`

### getLegend_ClientArea

public org.eclipse.emf.ecore.EReference getLegend_ClientArea()

Specified by:
  `getLegend_ClientArea` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Client Area'.
See Also:
  - `Legend.getClientArea()`
  - `LayoutPackage.getLegend()`

### getLegend_Text

public org.eclipse.emf.ecore.EReference getLegend_Text()

Specified by:
  `getLegend_Text` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Text'.
See Also:
  - `Legend.getText()`
  - `LayoutPackage.getLegend()`

### getLegend_Orientation

public org.eclipse.emf.ecore.EAttribute getLegend_Orientation()

Specified by:
  `getLegend_Orientation` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Orientation'.
See Also:
  - `Legend.getOrientation()`
  - `LayoutPackage.getLegend()`

### getLegend_Direction

public org.eclipse.emf.ecore.EAttribute getLegend_Direction()

Specified by:
  `getLegend_Direction` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Direction'.
See Also:
  - `Legend.getDirection()`
  - `LayoutPackage.getLegend()`

### getLegend_Separator

public org.eclipse.emf.ecore.EReference getLegend_Separator()

Specified by:
  `getLegend_Separator` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Separator'.
See Also:
  - `Legend.getSeparator()`
  - `LayoutPackage.getLegend()`

### getLegend_Position

public org.eclipse.emf.ecore.EAttribute getLegend_Position()

Specified by:
  `getLegend_Position` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Position'.
See Also:
  - `Legend.getPosition()`
  - `LayoutPackage.getLegend()`

### getLegend_ItemType

public org.eclipse.emf.ecore.EAttribute getLegend_ItemType()

Specified by:
  `getLegend_ItemType` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Item Type'.
See Also:
  - `Legend.getItemType()`
  - `LayoutPackage.getLegend()`

### getLegend_Title

public org.eclipse.emf.ecore.EReference getLegend_Title()

Specified by:
  `getLegend_Title` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Title'.
See Also:
  - `Legend.getTitle()`
  - `LayoutPackage.getLegend()`

### getLegend_TitlePosition

public org.eclipse.emf.ecore.EAttribute getLegend_TitlePosition()

Specified by:
  `getLegend_TitlePosition` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Title Position'.
See Also:
  - `Legend.getTitlePosition()`
  - `LayoutPackage.getLegend()`

### getLegend_ShowValue

public org.eclipse.emf.ecore.EAttribute getLegend_ShowValue()

Specified by:
  `getLegend_ShowValue` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Show Value'.
See Also:
  - `Legend.isShowValue()`
  - `LayoutPackage.getLegend()`

### getLegend_ShowPercent

public org.eclipse.emf.ecore.EAttribute getLegend_ShowPercent()

Specified by:
  `getLegend_ShowPercent` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Show Percent'.
See Also:
  - `Legend.isShowPercent()`
  - `LayoutPackage.getLegend()`

### getLegend_ShowTotal

public org.eclipse.emf.ecore.EAttribute getLegend_ShowTotal()

Specified by:
  `getLegend_ShowTotal` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Show Total'.
See Also:
  - `Legend.isShowTotal()`
  - `LayoutPackage.getLegend()`

### getLegend_WrappingSize

public org.eclipse.emf.ecore.EAttribute getLegend_WrappingSize()

Specified by:
  `getLegend_WrappingSize` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Wrapping Size'.
See Also:
  - `Legend.getWrappingSize()`
  - `LayoutPackage.getLegend()`

### getLegend_MaxPercent

public org.eclipse.emf.ecore.EAttribute getLegend_MaxPercent()

Specified by:
  `getLegend_MaxPercent` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Max Percent'.
See Also:
  - `Legend.getMaxPercent()`
  - `LayoutPackage.getLegend()`

### getLegend_TitlePercent

public org.eclipse.emf.ecore.EAttribute getLegend_TitlePercent()

Specified by:
  `getLegend_TitlePercent` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Title Percent'.
See Also:
  - `Legend.getTitlePercent()`
  - `LayoutPackage.getLegend()`

### getLegend_Ellipsis

public org.eclipse.emf.ecore.EAttribute getLegend_Ellipsis()

Specified by:
  `getLegend_Ellipsis` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Ellipsis'.
See Also:
  - `Legend.getEllipsis()`
  - `LayoutPackage.getLegend()`

### getLegend_FormatSpecifier

public org.eclipse.emf.ecore.EReference getLegend_FormatSpecifier()

Specified by:
  `getLegend_FormatSpecifier` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Format Specifier'.
See Also:
  - `Legend.getFormatSpecifier()`
  - `LayoutPackage.getLegend()`

### getPlot

public org.eclipse.emf.ecore.EClass getPlot()

Specified by:
  `getPlot` in interface `LayoutPackage`
Returns:
  the meta object for class 'Plot'.
See Also:
  - `Plot`

### getPlot_HorizontalSpacing

public org.eclipse.emf.ecore.EAttribute getPlot_HorizontalSpacing()

Specified by:
  `getPlot_HorizontalSpacing` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Horizontal Spacing'.
See Also:
  - `Plot.getHorizontalSpacing()`
  - `LayoutPackage.getPlot()`

### getPlot_VerticalSpacing

public org.eclipse.emf.ecore.EAttribute getPlot_VerticalSpacing()

Specified by:
  `getPlot_VerticalSpacing` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Vertical Spacing'.
See Also:
  - `Plot.getVerticalSpacing()`
  - `LayoutPackage.getPlot()`

### getPlot_ClientArea

public org.eclipse.emf.ecore.EReference getPlot_ClientArea()

Specified by:
  `getPlot_ClientArea` in interface `LayoutPackage`
Returns:
  the meta object for the containment reference 'Client Area'.
See Also:
  - `Plot.getClientArea()`
  - `LayoutPackage.getPlot()`

### getTitleBlock

public org.eclipse.emf.ecore.EClass getTitleBlock()

Specified by:
  `getTitleBlock` in interface `LayoutPackage`
Returns:
  the meta object for class 'Title Block'.
See Also:
  - `TitleBlock`

### getTitleBlock_Auto

public org.eclipse.emf.ecore.EAttribute getTitleBlock_Auto()

Specified by:
  `getTitleBlock_Auto` in interface `LayoutPackage`
Returns:
  the meta object for the attribute 'Auto'.
See Also:
  - `TitleBlock.isAuto()`
  - `LayoutPackage.getTitleBlock()`

### getEllipsisType

public org.eclipse.emf.ecore.EDataType getEllipsisType()

Specified by:
  `getEllipsisType` in interface `LayoutPackage`
Returns:
  the meta object for data type 'Ellipsis Type'.

### getEllipsisTypeObject

public org.eclipse.emf.ecore.EDataType getEllipsisTypeObject()

Specified by:
  `getEllipsisTypeObject` in interface `LayoutPackage`
Returns:
  the meta object for data type 'Ellipsis Type Object'.
See Also:
  - `Integer`

### getTitlePercentType

public org.eclipse.emf.ecore.EDataType getTitlePercentType()

Specified by:
  `getTitlePercentType` in interface `LayoutPackage`
Returns:
  the meta object for data type 'Title Percent Type'.

### getTitlePercentTypeObject

public org.eclipse.emf.ecore.EDataType getTitlePercentTypeObject()

Specified by:
  `getTitlePercentTypeObject` in interface `LayoutPackage`
Returns:
  the meta object for data type 'Title Percent Type Object'.
See Also:
  - `Double`

### getLayoutFactory

public LayoutFactory getLayoutFactory()

Specified by:
  `getLayoutFactory` in interface `LayoutPackage`
Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.